Bug 9582 - Unused code in members/pay.pl
Summary: Unused code in members/pay.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 15:33 UTC by Jared Camins-Esakov
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9582: Remove unused code from members/pay.pl (3.05 KB, patch)
2013-02-10 15:46 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 9582: Remove unused code from members/pay.pl (3.12 KB, patch)
2013-02-15 12:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9582: Remove unused code from members/pay.pl (3.17 KB, patch)
2013-02-19 14:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-02-10 15:33:33 UTC
The subroutines writeoff() and get_writeoff_sth() (and the two package variables $writeoff_sth and $add_writeoff_sth) defined in members/pay.pl do not seem to be used at all.
Comment 1 Jared Camins-Esakov 2013-02-10 15:46:22 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-02-10 22:10:03 UTC
Comment on attachment 15208 [details] [review]
Bug 9582: Remove unused code from members/pay.pl

Review of attachment 15208 [details] [review]:
-----------------------------------------------------------------

This code looks ok, I haven't tested it you though so not signing off, but passing initial code review
Comment 3 Kyle M Hall 2013-02-15 12:26:18 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-19 14:55:33 UTC
QA comment:

Hum, really strange :)
These routines have been removed by Kyle (commit db946ffd58094ec6287f991493a8df7bd7298f71 - Bug 7597 - Part 2 - move sub writeoff to C4::Accounts) and reintroduced by Stéphane (
commit a8b168dc63df9d60e8e562f368f8bdbec520ffd8 - Bug 7671 : add a real primary key accountlines_id in accountlines). But the latter does not used them!

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-19 14:55:55 UTC
Created attachment 15548 [details] [review]
Bug 9582: Remove unused code from members/pay.pl

The subroutines writeoff() and get_writeoff_sth() (and the two package
variables $writeoff_sth and $add_writeoff_sth) defined in members/pay.pl
are not used at all.

To test:
1) View members/pay.pl by looking at the record of a patron who has
   at least seven fines/fees and clicking the "Pay fines" tab after
   clicking the "Fines" tab on the left side
2) Write off a single item in the table on members/pay.pl using the
   button labelled "Write off"
3) Pay a single fine by clicking the "Pay" button
4) Pay a portion of a fine by selecting a checkbox on one of the lines
   in the table and clicking the "Pay amount" button
5) Select two lines in the table and click the "Pay selected" button
6) Write off all remaining fines

If all your actions show up in the table on the Account tab, this patch
works.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-20 13:17:47 UTC
This patch has been pushed to master.